#
# spec file for package python-dragonmapper
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-dragonmapper
Version:        0.3.0
Release:        1.2
Summary:        Identification and conversion functions for Chinese text processing
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/tsroten/dragonmapper
Source:         https://github.com/tsroten/dragonmapper/archive/v%{version}.tar.gz#/dragonmapper-%{version}.tar.gz
BuildRequires:  %{python_module base > 3.8}
BuildRequires:  %{python_module hatch_vcs}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-hanzidentifier >= 1.2.0
Requires:       python-zhon >= 2.0.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module hanzidentifier >= 1.2.0}
BuildRequires:  %{python_module zhon >= 2.0.0}
# /SECTION
%python_subpackages

%description
Identification and conversion functions for Chinese text processing.

%prep
%autosetup -p1 -n dragonmapper-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=en_US.UTF-8
%pytest

%files %{python_files}
%doc AUTHORS.rst CHANGES.rst README.rst
%license LICENSE.txt
%{python_sitelib}/dragonmapper
%{python_sitelib}/dragonmapper-%{version}.dist-info

%changelog
* Fri Dec 13 2024 Matej Cepl <mcepl@cepl.eu>
- update to 0.3.0:
  - Removes Python 3.8 support.
  - Fixes transcriptions for "you" and "yong".
* Sun Nov 10 2024 Dirk Müller <dmueller@suse.com>
- update to 0.2.7:
  * Removes Python 3.7 support.
  * Adds zhuyin for "dai". Fixes #22.
  * Adds transcription for "yo". Fixes #26.
- drop 31-fix-erroneous-IPA-you-yong.patch (upstream)
* Thu Nov 23 2023 Matej Cepl <mcepl@cepl.eu>
- Add 31-fix-erroneous-IPA-you-yong.patch (gh#tsroten/dragonmapper#31)
- Skip failing tests (gh#tsroten/dragonmapper#35)
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Thu Dec  9 2021 pgajdos@suse.com
- do not require pytest-runner for build, not required
* Tue Aug 27 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.2.6
